import { describe, it, expect } from 'vitest'
import { build } from 'vite'

import vitePluginOxManifests from '../../dist/index'
import { getFileFromBundle } from '../util'

const __dirname = import.meta.dirname

describe('Manifest with dependencies', () => {
  it('works', async () => {
    const bundle = await build({
      root: __dirname,
      logLevel: 'silent',
      build: { write: false, rollupOptions: { input: {} } },
      plugins: [vitePluginOxManifests({

      })]
    })

    const manifestFile = getFileFromBundle('manifest', bundle)
    const manifests = JSON.parse(manifestFile.source)
    expect(Object.keys(manifests)).toHaveLength(1)
    expect(manifests['register.js'].meta.manifests[0].namespace).toBe('test')
    expect(manifests['register.js'].css).toHaveLength(1)
  })
})
