export const PROJECT_NAME = '@open-xchange/vite-plugin-proxy'

export function joinUrlPaths (...paths: string[]): string {
  return paths.join('/').replace(/\/+/g, '/')
}

export function getStack (err: unknown): string {
  return ((err instanceof Error) && err.stack) || ''
}

export function getMessage (err: unknown): string {
  return ((err instanceof Error) && err.message) || ''
}

export function shouldHandle (condition: string | RegExp, path: string): boolean {
  return (condition instanceof RegExp) ? condition.test(path) : path.startsWith(condition)
}
